WordPress 2.0

Bueno, ya la tenemos aquí, y solo nos a costado perder los permisos de administrador y la lista de categorias.

Si os sale el temido error "You do not have sufficient permissions to access this page." bajaros el admin-restore, un apaño de Red Alt que os solucionará la papeleta. Simplemente editar el archivo (en caso de que vuestro usuario no sea admin, que es el predeterminado) y ejecutarlo en el servidor. Despues, ir a vuestro profile y poneros permisos de administrador. Y listo.

¿Alguna sugerencia para lo de las categorias?

Actualización: Tambien había un problemilla con el recuento de comentarios de cada entrada, pero vamos, supongo que ha sido culpa mía por no hacer la actualización como $deity manda...

Para solucionarlo, simplemente cambiar el valor del campo db_version de la tabla wp_options a 3307, es decir, algo asi:

  1. UPDATE `wp_options` SET `option_value` = '3307' WHERE `option_id` =81 AND `blog_id` =0 AND CONVERT( `option_name` USING utf8 ) = 'db_version' LIMIT 1 ;

Despues solo tenemos que volver a ejecutar el upgrade.php y listo. Con esto conseguimos 'engañar' al wordpress y hacer que ejecute solo las rutinas de actualización de la versión 1.5.
Bueno, me ha quedado un rollo, pero funciona ;-)
Si alguien tiene alguna duda, ya sabe donde estoy.


3 Comentarios

  1. G

    Yo de momento voy a pasar de actualizar mi blog…

    #1 Hanok [2006/01/13 @ 23:33] Reply to Hanok
  2. G

    …y por cierto, ¿tambien te ha calzado todos los comentarios anteriores? Puff!!

    #2 Hanok [2006/01/13 @ 23:35] Reply to Hanok
  3. G

    Bufff…

    No, solo ha puesto a cero el contador de comentarios de todas las entradas, los comentarios siguen estando ahí…
    Si actualizas la entrada, el comentario o añades uno más, se vuelve a poner bien, pero si tengo q hacer eso por cada post, me muero.
    A ver que se me ocurre…

    #3 Rick [2006/01/14 @ 12:51] Reply to Rick

1 Trackbacks/Pingbacks

  1. F

    You do not have sufficient permissions to access this page….

    No se si este problema ya venía de lejos o es solo de la nueva versión 2.0.2 de wordpress, pero a mí y a bastante gente le está dando un error que dice “You do not have sufficient permissions to access this page.” al intentar hacer algo…

    Trackback: Tomatone Inc [2006/03/11 @ 15:22]

Participa: